From e07d5bc218da79a208b154ac34c8a7ad8a0cf1a5 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Fri, 24 Jul 2015 21:10:04 +0200
Subject: [PATCH 07/12] Introduce LIB*_UL_INC and LIB*_UL_LIB

Introduce new Makefile.am variables LIB*_UL_INC and LIB*_UL_LIB for
compilation and linking with util-linux libraries. It introduces support
for installed instances of these libraries to make easier staging.

These variables are not used yet, it will be done in a later commit.

Substitution of lib*.la has to be done in Makefile.am.
See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21106

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 Makefile.am | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/Makefile.am b/Makefile.am
index 391de3d..eb63df2 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -28,6 +28,50 @@ ul_libfdisk_incdir  = $(top_builddir)/libfdisk/src
 
 ul_libuuid_incdir  = $(top_srcdir)/libuuid/src
 
+if BUILD_LIBBLKID
+LIBBLKID_UL_INC = -I$(top_builddir)/libblkid/src $(LIBUUID_UL_INC)
+LIBBLKID_UL_LIB = libblkid.la
+else
+LIBBLKID_UL_INC = $(LIBBLKID_CFLAGS)
+LIBBLKID_UL_LIB = $(LIBBLKID_LIBS)
+endif
+
+if BUILD_LIBMOUNT
+LIBMOUNT_UL_INC = -I$(top_builddir)/libmount/src $(LIBBLKID_UL_INC)
+LIBMOUNT_UL_LIB = libmount.la
+else
+LIBMOUNT_UL_INC = $(LIBMOUNT_CFLAGS)
+LIBMOUNT_UL_LIB = $(LIBMOUNT_LIBS)
+endif
+
+if BUILD_LIBSMARTCOLS
+LIBSMARTCOLS_UL_INC = -I$(top_builddir)/libsmartcols/src
+LIBSMARTCOLS_UL_LIB = libsmartcols.la
+else
+LIBSMARTCOLS_UL_INC = $(LIBSMARTCOLS_CFLAGS)
+LIBSMARTCOLS_UL_LIB = $(LIBSMARTCOLS_LIBS)
+endif
+
+if BUILD_LIBFDISK
+if HAVE_LIBBLKID
+LIBFDISK_UL_INC = -I$(top_builddir)/libfdisk/src $(LIBUUID_UL_INC) $(LIBBLKID_UL_INC)
+else
+LIBFDISK_UL_INC = -I$(top_builddir)/libfdisk/src $(LIBUUID_UL_INC)
+endif
+LIBFDISK_UL_LIB = libfdisk.la
+else
+LIBFDISK_UL_INC = $(LIBFDISK_CFLAGS)
+LIBFDISK_UL_LIB = $(LIBFDISK_LIBS)
+endif
+
+if BUILD_LIBUUID
+LIBUUID_UL_INC = -I$(top_srcdir)/libuuid/src
+LIBUUID_UL_LIB = libuuid.la
+else
+LIBUUID_UL_INC = $(LIBUUID_CFLAGS)
+LIBUUID_UL_LIB = $(LIBUUID_LIBS)
+endif
+
 pkgconfigdir = $(usrlib_execdir)/pkgconfig
 
 bashcompletiondir = @bashcompletiondir@
-- 
2.4.5

